Base Module VST 3.7 SDK for developing VST plug-in

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Classes | Namespaces | Typedefs | Functions
timer.h File Reference
`#include "fobject.h"`
`#include <limits>`

## Classes
class | ITimerCallback
| Implement this callback interface to receive triggers from a timer. More...
class | Timer
| Timer is a class that allows you to receive triggers at regular intervals. More...
class | DisableDispatchingTimers
| Disables dispatching of timers for the live time of this object. More...

## Namespaces
namespace | Steinberg
namespace | Steinberg::SystemTime

## Typedefs
using | CreateTimerFunc = Timer *(*)(ITimerCallback *callback, uint32 intervalMilliseconds)

## Functions
uint64 | getTicks64 ()
uint64 | getTicksDuration (uint64 old, uint64 now)
int32 | getTicks ()
| deprecated, use getTicks64 ()
template<typename Call >
ITimerCallback * | newTimerCallback (const Call &call)
void | InjectCreateTimerFunction (CreateTimerFunc f)

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.